# Interface StructureViewerBehaviourObserverInterface<R>

#### Type Parameters

- #### R

#### Hierarchy

- StructureViewerBehaviourObserverInterface

- Defined in RcsbFvStructure/StructureViewerBehaviourInterface.ts:9

#####
Index

### Methods

observe
unsubscribe

## Methods

### observe

- observe(structureViewer: ViewerCallbackManagerInterface & ViewerActionManagerInterface<R>, stateManager: RcsbFvStateInterface): void

- #### Parameters

  - ##### structureViewer: ViewerCallbackManagerInterface & ViewerActionManagerInterface<R>

  - ##### stateManager: RcsbFvStateInterface

  #### Returns void

  - Defined in RcsbFvStructure/StructureViewerBehaviourInterface.ts:10

### unsubscribe

- unsubscribe(): void

- #### Returns void

  - Defined in RcsbFvStructure/StructureViewerBehaviourInterface.ts:11

Generated using TypeDoc